<p align="center"><a href="https://laravel.com" target="_blank"><img src="./public/images/client-logo.png" width="150"></a></p>
<h3 align="center">Projeto Megazord Laravel Filament</h3>

### 📋 Pré-requisitos 
Antes de começar, você vai precisar ter instalado em sua máquina as seguintes ferramentas:

<ul>
  <li><a href="https://git-scm.com">Git</a></li>
  <li><a href="https://www.php.net/downloads">PHP ^8.1</a></li>
  <li><a href="https://getcomposer.org/download/">Composer</a></li>
  <li><a href="https://www.apachefriends.org/download.html">XAMPP</a> ou <a href="https://www.wampserver.com/en/">WAMP</a></li>
</ul>


### Baixando o projeto
```bash
# Clone este repositório
$ git clone git@bitbucket.org:indexdigital/megazord-laravel-filament.git
### ⏫ Rodando o Projeto
```bash
# Acesse a pasta do projeto no terminal/cmd
$ cd megazord-laravel-filament

#Instale e/ou atualize as dependências
$ composer install
$ composer update

# Caso não tenha o arquivo .env, copie o arquivo .env.example para .env e edite com as informações do seu ambiente
$ cp .env.example .env

# Atualize o banco de dados
$ php artisan migrate 
# Para executar o projeto
$ php artisan serve
# Caso  não seja gerado os link de imagens execute 
$ php artisan storage:link
# Para remover cache
$ php artisan config:cache
```
##  📷 Otimização de Imagens com Formato Específico
Antes de fazer o upload da sua imagem, você pode optar por otimizá-la convertendo-a para o formato desejado. A imagem salva em seu disco será apenas a versão convertida, otimizando o uso de armazenamento e desempenho.

Exemplo: Convertendo a Imagem para o Formato webp
Para converter a imagem para o formato webp, siga as instruções abaixo:

Usando FileUpload:
```bash
 use Filament\Forms\Components\FileUpload;

  FileUpload::make('attachment')
    ->image()
    ->optimize('webp');
```
Usando SpatieMediaLibraryFileUpload: 

```bash
 use Filament\Forms\Components\SpatieMediaLibraryFileUpload;

  SpatieMediaLibraryFileUpload::make('attachment')
    ->image()
    ->optimize('webp');
```
📐 Redimensionamento de Imagens
Além de otimizar o formato, você também pode redimensionar uma imagem, passando a porcentagem de redução desejada. Esse processo mantém a proporção da imagem, garantindo que ela não fique distorcida.

Exemplo: Reduzindo a Imagem em 50%
Suponha que você tenha uma imagem com dimensões de 1280px x 720px. Para reduzir a imagem em 50%, faça o seguinte:
```bash
    use Filament\Forms\Components\FileUpload;

    FileUpload::make('attachment')
        ->image()
        ->resize(50);

```
##  📚 Bibliotecas Utilizadas no Projeto

Aqui estão algumas das bibliotecas principais usadas neste projeto:

| Lib | Link |
| ------ | ------ |
|  Image Optimizer| https://filamentphp.com/plugins/joshembling-image-optimizer |
|  Menu builder | https://github.com/datlechin/filament-menu-builder |
| Seo | https://github.com/ralphjsmit/laravel-filament-seo |
