<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Profiles
    |--------------------------------------------------------------------------
    |
    | You can add as many as you want of profiles to use it in your application.
    |
    */
    'profiles' => [
        'simple' => [
            'plugins' => 'autoresize directionality emoticons link wordcount',
            'toolbar' => 'removeformat | bold italic | rtl ltr | link emoticons',
            'upload_directory' => null,
        ],
        'template' => [
            'plugins' => 'autoresize template',
            'toolbar' => 'template',
            'upload_directory' => null,
        ],
        /*
        |--------------------------------------------------------------------------
        | Custom Configs
        |--------------------------------------------------------------------------
        |
        | If you want to add custom configurations to directly tinymce
        | You can use custom_configs key as an array
        |
        */
        'default' => [
            'plugins' => 'advlist autoresize codesample directionality emoticons fullscreen hr image imagetools link lists media table toc wordcount styleselect',
            'toolbar' => 'undo redo removeformat | styleselect fontsizeselect | bold italic | rtl ltr | alignjustify alignright aligncenter alignleft | numlist bullist | forecolor backcolor | blockquote table toc hr | image link media codesample emoticons | wordcount fullscreen',
            'custom_configs' => [
                'allow_html_in_named_anchor' => true,
                'link_default_target' => '_blank',
                'codesample_global_prismjs' => true,
                'image_advtab' => true,
                'style_formats' => [
                    [
                        'title' => 'Blocks',
                        'items' => [
                            [
                                'title' => 'Paragraph',
                                'block' => 'p',
                            ],
                            [
                                'title' => 'Heading 1',
                                'block' => 'h1',
                            ],
                            [
                                'title' => 'Heading 2',
                                'block' => 'h2',
                            ],
                            [
                                'title' => 'Heading 3',
                                'block' => 'h3',
                            ],
                            [
                                'title' => 'Heading 4',
                                'block' => 'h4',
                            ],
                            [
                                'title' => 'Heading 5',
                                'block' => 'h5',
                            ],
                            [
                                'title' => 'Heading 6',
                                'block' => 'h6',
                            ],
                            [
                                'title' => 'Preformatted',
                                'block' => 'pre',
                            ],
                            [
                                'title' => 'Code',
                                'block' => 'code',
                            ],
                        ],
                    ],
                ],
                'image_class_list' => [
                    [
                        'title' => 'None',
                        'value' => '',
                    ],
                    [
                        'title' => 'Fluida',
                        'value' => 'img-fluid',
                    ],
                ],
            ],
        ],
    ],
    /*
    |--------------------------------------------------------------------------
    | Templates
    |--------------------------------------------------------------------------
    |
    | You can add as many as you want of templates to use it in your application.
    |
    | https://www.tiny.cloud/docs/plugins/opensource/template/#templates
    |
    | ex: TinyEditor::make('content')->profiles('template')->template('example')
    */
    'templates' => [
        'example' => [
            // content
            ['title' => 'Some title 1', 'description' => 'Some desc 1', 'content' => 'My content'],
            // url
            ['title' => 'Some title 2', 'description' => 'Some desc 2', 'url' => 'http://localhost'],
        ],
    ],
];
